Skip to main content
`Ctrl`+`K`

# PEPSTOARSetCheckEigenvalueType

Sets a flag to check that all the eigenvalues obtained throughout the spectrum slicing computation have the same definite type.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetCheckEigenvalueType(PEP pep,PetscBool checket)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- checket - check eigenvalue type

## Options Database Key

- -pep_stoar_check_eigenvalue_type - toggles the check of eigenvalue type

## Notes

This option is relevant only for spectrum slicing computations, but it is ignored if the problem type is `PEP_HYPERBOLIC`.

This flag is turned on by default, to guarantee that the computed eigenvalues have the same type (otherwise the computed solution might be wrong). But since the check is computationally quite expensive, the check may be turned off if the user knows for sure that all eigenvalues in the requested interval have the same type.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSTOAR`, `PEPSetProblemType()`, `PEPSetInterval()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Implementations

PEPSTOARSetCheckEigenvalueType_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages